Skip to main content
`Ctrl`+`K`

# PetscClassIdRegister

Registers a new class name for objects and logging operations in an application code.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscClassIdRegister(const char name[], PetscClassId *oclass)

Not Collective

## Input Parameter

- name - The class name

## Output Parameter

- oclass - The class id or classid

## See Also

Profiling, `PetscLogEventRegister()`

## Level

developer

## Location

src/sys/logging/plog.c

## Examples

src/snes/tutorials/ex48.c
src/sys/tutorials/ex7.c
src/ts/tutorials/ex14.c

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages